%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name persist-queue

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        2%{?dist}
Summary:        A single process, persistent multi-producer, multi-consumer queue

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A single process, persistent multi-producer, multi-consumer queue

%package -n python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

BuildRequires:  python2-devel
BuildRequires:  python-mock
BuildRequires:  python-setuptools
BuildRequires:  python-pytest

%description -n python2-%{pypi_name}
A single process, persistent multi-producer, multi-consumer queue

%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-mock
BuildRequires:  python3-pytest

%description -n python3-%{pypi_name}
A single process, persistent multi-producer, multi-consumer queue

%endif

%prep
%setup -n %{pypi_name}-%{version}

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%check
py.test-2 tests/test_queue.py
%if 0%{?with_python3}
py.test-3 tests/test_queue.py
%endif

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*
%exclude %{python2_sitelib}/tests

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%exclude %{python3_sitelib}/tests
%endif

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Eric Harney <eharney@redhat.com> - 0.2.3-1
- Update to 0.2.3

* Tue May 16 2017 Eric Harney <eharney@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Tue Mar 14 2017 Eric Harney <eharney@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Mon Mar 13 2017 Eric Harney <eharney@redhat.com> - 0.2.0-1
- Update to 0.2.0

* Fri Mar 10 2017 Eric Harney <eharney@redhat.com> - 0.1.6-1
- Update to 0.1.6
- License is now BSD

* Wed Feb 15 2017 Eric Harney <eharney@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Tue Feb 14 2017 Eric Harney <eharney@redhat.com> - 0.1.4-1
- Initial package
